"""LAR Domain - JSONL Handler"""
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import LarSyncNode
from schemas.project_extensions.lar import LarDetailSchema


class LarJsonlHandler(BaseJsonlHandler):
    """移民征地 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "lar", LarSyncNode, LarDetailSchema)
